Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QGraphicsSceneContextMenuEvent.Reason

    java.lang.Object
      java.lang.Enum<QGraphicsSceneContextMenuEvent.Reason>
          com.trolltech.qt.gui.QGraphicsSceneContextMenuEvent.Reason

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QGraphicsSceneContextMenuEvent.Reason>

Enclosing class:
  QGraphicsSceneContextMenuEvent

    public static enum QGraphicsSceneContextMenuEvent.Reason

extends java.lang.Enum<QGraphicsSceneContextMenuEvent.Reason>
implements QtEnumerator

This enum describes the reason why the context event was sent.

Enum Constant Summary
`Keyboard` The keyboard caused this event to be sent.
`Mouse` The mouse caused the event to be sent.
`Other` The event was sent by some other means (i.e. not by the mouse or keyboard).

Method Summary
`static QGraphicsSceneContextMenuEvent.Reason` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsSceneContextMenuEvent.Reason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QGraphicsSceneContextMenuEvent.Reason[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Mouse

    public static final QGraphicsSceneContextMenuEvent.Reason Mouse

  The mouse caused the event to be sent. On most platforms, this means the right mouse button was clicked.

### Keyboard

    public static final QGraphicsSceneContextMenuEvent.Reason Keyboard

  The keyboard caused this event to be sent. On Windows and Mac OS X, this means the menu button was pressed.

### Other

    public static final QGraphicsSceneContextMenuEvent.Reason Other

  The event was sent by some other means (i.e. not by the mouse or keyboard).

Method Detail

### values

    public static final QGraphicsSceneContextMenuEvent.Reason[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QGraphicsSceneContextMenuEvent.Reason c : QGraphicsSceneContextMenuEvent.Reason.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QGraphicsSceneContextMenuEvent.Reason valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGraphicsSceneContextMenuEvent.Reason resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD